module Reportable
  extend ActiveSupport::Concern

  included do
    before_action :set_complaint_messages, only: :show
  end

  def report_object
    learning_object_repository.report current_user, @learning_object, message, description
  end

  def set_complaint_messages
    @complaint = Complaint.new
    @messages = [
        Complaint.copyrights,
        Complaint.ofensive_content,
        Complaint.ofensive_user,
        Complaint.fake_user
    ]
  end

end
