module OrientDb
  module Methods
    module SanitizableMethods

      def sanitize_orientdb_vars(var)
        var.to_s.gsub(/\A@/, "")
      end

      def sanitize_orientdb_values(val)
        #date checks
        if val.respond_to? :strftime
          val = val.strftime("%Y-%m-%d %H:%M:%S")
        end
        val
      end

    end
  end
end
