class Bookmark < ActiveRecord::Base
  belongs_to :user, counter_cache: true
  belongs_to :bookmarkable, polymorphic: true

  validates :user_id, uniqueness: { scope: [:bookmarkable_id, :bookmarkable_type] }
end
